/*
 * defs.h
 *
 * Created: 2013-04-20 01:18:28
 *  Author: user
 */ 


#ifndef DEFS_H_
#define DEFS_H_

#define IO_PORT				PORTB
#define IO_DDR				DDRB
#define IO_PIN				PINB
#define IO_SCK				5		//master out
#define IO_MISO				4		//master in
#define IO_MOSI				3		//master our
#define IO_CS				2		//mem chip select, L active
#define IO_PWM				1		//oc1a
#define IO_GND1				0		//gnd


#define INPUT_PORT			PORTC
#define INPUT_DDR			DDRC
#define INPUT_PIN			PINC
#define INPUT_STBY			0		//amp standby, L active
#define INPUT_GND1			1		
#define INPUT_IN1			2		//in 1, active L
#define INPUT_IN2			3		//in 2, active L
#define INPUT_IN3			4		//in 3, active L
#define INPUT_IN4			5		//in 4, active L


#define COM_PORT			PORTD
#define COM_DDR				DDRD
#define COM_PIN				PIND
#define COM_RXD				0		//RXD
#define COM_TXD				1		//TXD
#define COM_GND1			2
#define COM_GND2			3
#define COM_GND3			4
#define COM_LED				5		//led, H active
#define COM_LOOP			6		//repeat mode, L - loop
#define COM_GND4			7

#define LOOP_GET			COM_PIN & (1<<COM_LOOP)
#define LED_SET				COM_PORT |= (1<<COM_LED)
#define LED_OFF				COM_PORT &= ~(1<<COM_LED)


#define INPUTS_TRESHOLD			3
#define INPUTS_ACTION1			1
#define INPUTS_ACTION2			2
#define INPUTS_ACTION3			3
#define INPUTS_ACTION4			4
#define INPUTS_NOACTION			0

#define SERIAL_IDLE				0
#define SERIAL_READY			1
#define SERIAL_BLOCK			2
#define SERIAL_BLOCK_READY		3
#define TRANSFER_TIMEUP			20000

#define COM_PREFIX			'#'
#define COM_POSTFIX			0x0D		//\r
#define COM_SET				'S'			//start new file
#define COM_GET				'P'			//ready for data pack
#define COM_FULL			'F'			//mem full
#define COM_END				'E'			//end
#define COM_ERR				'X'			//some error
#define COM_AUDIO			'A'			//play
#define COM_STOP			'H'			//stop
#define COM_TEST			'T'			//test
#define COM_BUSY			'B'			//busy

#define COM_COMMAND_READY		1
#define COM_NO_COMMAND			0

#endif /* DEFS_H_ */