/*
 * mem.h
 *
 * Created: 2013-04-20 01:44:14
 *  Author: user
 */ 


#ifndef MEM_H_
#define MEM_H_

void SpiInit(void);
char SpiRead(void);
void SpiTransfer(void);
void SpiClose(void);
void MemInit(void);
void MemSelectBuffer(char buffer);
char MemReady(void);
void MemBufferWrite(void);
void MemBufferRead(void);
void MemBufferProg(void);
void MemPreConfig(void);
char MemContinueWrite(char sector);
void MemContinueRead(char sector);
void MemSettingsRestore(void);
void MemSettingsSave(void);
void MemPowerDown(void);
void MemResume(void);


#define COMMAND_ID			0x9F
#define COMMAND_STATUS		0xD7
#define COMMAND_BUFFREAD1	0xD1
#define COMMAND_BUFFREAD2	0xD3
#define COMMAND_BUFFWRITE1	0x84
#define COMMAND_BUFFWRITE2	0x87
#define COMMAND_BUFFPROG1	0x83
#define COMMAND_BUFFPROG2	0x86
#define COMMAND_PROGTROUHG1	0x82
#define COMMAND_PROGTROUHG2	0x85
#define COMMAND_PROGREAD1	0x53
#define COMMAND_PROGREAD2	0x55
#define COMMAND_CONTINUE_READ 0x03	

#define COMMAND_POWER_DOWN	0xB9	
#define COMMAND_RESUME		0xAB	

#define MEM_STATUS_BUSY		0x00
#define MEM_STATUS_READY	0x01
#define MEM_STATUS_ERR		0x02

#define MEM_PAGE			512
#define MEM_PAGES			4096
#define MEM_SECTOR			1000
#define MEM_SECTORS			4
#define MEM_SECTORS_OFFSET	6			//first page is 6th page

#define MEM_SETTINGS_SECTOR	4			//first page is 4th page






#endif /* MEM_H_ */